# parseNFTokenID | xrpl
Documentation for xrpl

# Function parseNFTokenID

- parseNFTokenID(nftokenID: string): {
  Flags: number;
  Issuer: string;
  NFTokenID: string;
  Sequence: number;
  Taxon: number;
  TransferFee: number;
  }

- Parses an NFTokenID into the information it is encoding.

  Example decoding:

  000B 0539 C35B55AA096BA6D87A6E6C965A6534150DC56E5E 12C5D09E 0000000C +--- +--- +--------------------------------------- +------- +------- | | | | | | | | | `---> Sequence: 12 | | | | | | |` ---> Scrambled Taxon: 314,953,886 | | | Unscrambled Taxon: 1337 | | | | | `---> Issuer: rJoxBSzpXhPtAuqFmqxQtGKjA13jUJWthE | | |` ---> TransferFee: 1337.0 bps or 13.37% | `---> Flags: 11 -> lsfBurnable, lsfOnlyXRP and lsfTransferable

  ### Throws

  XrplError when given an invalid nftokenID.

  ### Returns

  a decoded nftokenID with all fields encoded within.

  #### Parameters

  - ##### nftokenID: string

    A hex string which identifies an NFToken on the ledger.

  #### Returns {
  Flags: number;
  Issuer: string;
  NFTokenID: string;
  Sequence: number;
  Taxon: number;
  TransferFee: number;
  }

  - ##### Flags: number

  - ##### Issuer: string

  - ##### NFTokenID: string

  - ##### Sequence: number

  - ##### Taxon: number

  - ##### TransferFee: number

  - Defined in packages/xrpl/src/utils/parseNFTokenID.ts:54

Generated using TypeDoc